Package: org.gradle.api.credentials

## [Java] Interface AwsCredentials

- org.gradle.api.credentials.AwsCredentials

- All Superinterfaces:
    Credentials

  Represents credentials used to authenticate with Amazon Web Services.

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `String` | `getAccessKey()` Returns the access key to use to authenticate with AWS.
    `String` | `getSecretKey()` Returns the secret key to use to authenticate with AWS.
    `void` | `setAccessKey(String accessKey)` Sets the access key to use to authenticate with AWS.
    `void` | `setSecretKey(String secretKey)` Sets the secret key to use to authenticate with AWS.

- - ### Method Detail

    - #### public String getAccessKey()

      Returns the access key to use to authenticate with AWS.

    - #### public String getSecretKey()

      Returns the secret key to use to authenticate with AWS.

    - #### public void setAccessKey(String accessKey)

      Sets the access key to use to authenticate with AWS.

    - #### public void setSecretKey(String secretKey)

      Sets the secret key to use to authenticate with AWS.